{{ $scratch := newScratch }}
{{ $scratch.Set "authorname" "unknown" }}

{{/* set main authorname from somewhere */}}
{{if .Params.author }}
        {{ $scratch.Set "authorname" .Params.author }}
{{ else if .Site.Params.Author}}
        {{ $scratch.Set "authorname" .Site.Params.Author }}
{{ else if .Site.Params.author}}
        {{ $scratch.Set "authorname" .Site.Params.author }}
{{ else }}
        {{ $scratch.Set "authorname" "Crossref" }}
{{ end }} 

{{/* iterate through authors to see if authorname is found */}}
{{ $scratch.Set "authorfound" false }}
{{ if .Params.authors }}
  {{ range $index, $author := .Params.authors }}
  	 {{ if eq ($scratch.Get "authorname" |lower ) ( . | lower )}}
  	 	{{ $scratch.Set "authorfound" true }}
  	 {{ end }}
  {{ end }}
{{ end }}


{{ $fields := getJSON "/data/team/biographies.json" }}

{{/* fetch authorbio from the json or anon if no main authorname set */}}
{{ if index $fields ($scratch.Get "authorname") }}
        {{ $scratch.Set "authorbio" ( index $fields ($scratch.Get "authorname") ) }}
{{ else }}
        {{ $scratch.Set "authorbio" ( index $fields "Crossref" ) }}
{{ end }}

<div class="details">
<div class="img">
{{ if (index ( $scratch.Get "authorbio" ) "thumb") }}
        <img src="{{ .Site.BaseURL}}{{ index ( $scratch.Get "authorbio" ) "thumb" | printf "%+v" }}" alt="{{ index ($scratch.Get "authorbio") "fullname" | printf "%+v" }}" height="57" width="57" />
{{ else }}
        <img src="{{ .Site.BaseURL}}/images/staff/author_default200px.png" alt="{{ $scratch.Get "authorname" }}" height="57" width="57" />
{{ end }}
</div>
        <p>
        {{ if .Params.authors }}
          {{ range $index, $author := .Params.authors }}{{ if gt $index 0 }}, {{ end }}<a href='/authors/{{ $author | urlize }}'>{{ $author }}</a>{{ end }}
        {{ end }}
         &ndash; {{ dateFormat "2006 January 02" .Date }}</p>
        <p>{{ partial "categories.html" .}}</p>


</div>